Endpointsウィジェット

保護者の同意URLを生成する

iframeに表示するホスト型の保護者同意ウィジェットのURLを返します。 既存のチャレンジの保護者に提示して同意を収集します。`/challenge/send-email` がリンクする体験と同じもので、リンクを自社で配信する場合に使用します。

POST
/widget/generate-parental-consent-url
AuthorizationBearer <token>

In: header

Request Body

application/json

保護者の同意URL生成リクエスト

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/widget/generate-parental-consent-url" \  -H "Content-Type: application/json" \  -d '{    "challengeId": "ae6d4729-af32-42ea-8ef2-ff46c7664802",    "email": "parent@example.com"  }'
{  "url": "https://family.k-id.com/widget",  "shortUrl": "https://family.k-id.com/s/12345678-1234-1234-1234-123456789012?pid=42&s=qr"}